Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 596226 - Using copied cert from "entitlement/product" to "product" SM displays wrong status for subscribed entitlemet via gui/cli
Using copied cert from "entitlement/product" to "product" SM displays wrong s...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Pradeep Kilambi
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 08:23 EDT by spandey
Modified: 2015-04-23 19:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-26 08:57:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandey 2010-05-26 08:23:47 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Prequisities : 
Candlepin : statler.usersys.redhat.com
client : Rhel6 with SM version 60

Steps to Repro :
Login to client with valid credentials 
subscribed for product “Load Balance” and “Red Hat Enterprise Linux Advanced Platform”
execute following on console 

subscription-manager-cli list 

it will display correct status of entitlement (Not Installed)
copy certs from /etc/pki/entilement/product to /etc/pki/product/

execute following command on console 

subscription-manager-cli list 

Expected Result : 
Status of entitlement should not change if we not installed product 

Actual Result : 
Status of Entitlement Got changed form not installed to subscribed .
Comment 2 Pradeep Kilambi 2010-05-26 08:57:15 EDT
This is expected behavior. Of course its gonna say your subscribed as the product namespace in product and ent directory are exactly the same.

Note You need to log in before you can comment on or make changes to this bug.